Package weka.core

# Class FastVector.FastVectorEnumeration

java.lang.Object
weka.core.FastVector.FastVectorEnumeration

All Implemented Interfaces:
  `Enumeration`, `RevisionHandler`

Enclosing class:
  `FastVector`

public class FastVector.FastVectorEnumeration extends Object implements Enumeration, RevisionHandler
Class for enumerating the vector's elements.

## Constructor Summary

Constructors
Constructor
Description
`FastVectorEnumeration(FastVector vector)`
Constructs an enumeration.
`FastVectorEnumeration(FastVector vector, int special)`
Constructs an enumeration with a special element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`final boolean`
`hasMoreElements()`
Tests if there are any more elements to enumerate.
`final Object`
`nextElement()`
Returns the next element.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Enumeration

`asIterator`

## Constructor Details

### FastVectorEnumeration

public FastVectorEnumeration(FastVector vector)
Constructs an enumeration.

Parameters:
  `vector` - the vector which is to be enumerated

### FastVectorEnumeration

public FastVectorEnumeration(FastVector vector, int special)
Constructs an enumeration with a special element. The special element is skipped during the enumeration.

Parameters:
  `vector` - the vector which is to be enumerated
  `special` - the index of the special element

## Method Details

### hasMoreElements

public final boolean hasMoreElements()
Tests if there are any more elements to enumerate.

Specified by:
  `hasMoreElements` in interface `Enumeration`
Returns:
  true if there are some elements left

### nextElement

public final Object nextElement()
Returns the next element.

Specified by:
  `nextElement` in interface `Enumeration`
Returns:
  the next element to be enumerated

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision